Name:           touchegg
Version:        2.0.12
Release:        1%{?dist}
Summary:        Multi-touch gesture recognizer

License:        GPLv3+
URL:            https://github.com/JoseExposito/touchegg
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  systemd-rpm-macros
BuildRequires:  desktop-file-utils

%description
Touchégg is an app that runs in the background and transform the gestures you
make on your touchpad or touchscreen into visible actions in your desktop.

For example, you can swipe up with 3 fingers to maximize a window or swipe left
with 4 finger to switch to the next desktop.

Many more actions and gestures are available and everything is easily
configurable.


%prep
%forgeautosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
# We cannot restart the service on update, because it breaks clients.
# https://github.com/JoseExposito/touchegg/issues/453
%systemd_postun %{name}.service


%files
%license COPYING COPYRIGHT
%doc README.md CHANGELOG.md

%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop

%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_unitdir}/%{name}.service


%changelog
* Sun Dec 26 2021 Maxwell G <gotmax@e.email> - 2.0.12-1
- Initial Package
